package com.wrox.algorithms.ssearch;

public class StringMatch {
    /** poszukiwany wzorzec */
    private final CharSequence _pattern;

    /** tekst, w którym prowadzone jest wyszukiwanie */
    private final CharSequence _text;

    /** pozycja (0, 1, 2...) pierwszego wystąpienia wzorca w poszukiwanym tekście */
    private final int _index;

    public StringMatch(CharSequence pattern, CharSequence text, int index) {
        assert text != null : "nie określono tekstu";
        assert pattern != null : "nie określono wzorca";
        assert index >= 0 : "pozycja startowa nie może być ujemna";

        _text = text;
        _pattern = pattern;
        _index = index;
    }

    public CharSequence getPattern() {
        return _pattern;
    }

    public CharSequence getText() {
        return _text;
    }

    public int getIndex() {
        return _index;
    }
}
